com.jogamp.nativewindow.x11

## Class X11GraphicsScreen

- java.lang.Object
- - javax.media.nativewindow.DefaultGraphicsScreen
  - - com.jogamp.nativewindow.x11.X11GraphicsScreen

- All Implemented Interfaces:
    Cloneable, AbstractGraphicsScreen

      public class X11GraphicsScreen
      extends DefaultGraphicsScreen
      implements Cloneable

  Encapsulates a screen index on X11 platforms. Objects of this type are passed to `GraphicsConfigurationFactory.chooseGraphicsConfiguration()` on X11 platforms when toolkits other than the AWT are being used.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `X11GraphicsScreen(X11GraphicsDevice device, int screen)` Constructs a new X11GraphicsScreen corresponding to the given native screen index.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `static AbstractGraphicsScreen` | `createScreenDevice(long display, int screenIdx, boolean owner)`
    `int` | `getVisualID()`

    - ### Methods inherited from class javax.media.nativewindow.DefaultGraphicsScreen

      `createDefault, getDevice, getIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### X11GraphicsScreen

          public X11GraphicsScreen(X11GraphicsDevice device,
                           int screen)

      Constructs a new X11GraphicsScreen corresponding to the given native screen index.

  - ### Method Detail

    - #### createScreenDevice

          public static AbstractGraphicsScreen createScreenDevice(long display,
                                                  int screenIdx,
                                                  boolean owner)

    - #### getVisualID

          public int getVisualID()

    - #### clone

          public Object clone()

      Specified by:
        `clone` in interface `AbstractGraphicsScreen`
      Overrides:
        `clone` in class `DefaultGraphicsScreen`

Copyright 2010 JogAmp Community.